wibble::exception Namespace Reference

## Classes

struct | AddContext
struct | BadCast
struct | BadCastExt
class | BadOption
class | Consistency
| Exception thrown when some consistency check fails. More...
class | Context
| Store context information for an exception. More...
class | File
| Base class for exceptions for file I/O. More...
class | Generic
| Base class for all exceptions. More...
class | InstallUnexpected
| Install an unexpected handler for the duration of its scope. More...
class | Interrupted
| Exception thrown when some long event is interrupted by an external event (like a system call being interrupted by a signal) More...
class | OutOfRange
| Exception thrown when some value is out of range. More...
class | Regexp
class | System
| Base class for system exceptions. More...
class | ValOutOfRange
| Exception thrown when index checking fails. More...
class | WaitInterrupted
| Exception thrown when some system wait is interrupted by a signal. More...

## Functions

void | DefaultUnexpected ()
| Basic unexpected handler. More...

## Function Documentation

## DefaultUnexpected()

void wibble::exception::DefaultUnexpected | ( |  | ) |

Basic unexpected handler.

This is an unexpected handler provided by the library. It prints to stderr a stack trace and all possible available informations about the escaped exception.

To have the function names in the stack trace, the executables need to be linked using the -rdynamic flag.